
.small_info_container {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    margin: auto;
    margin-top: 20px;
    width: calc(90% - 80px);
    background-color: #323232;
    border-radius: 10px;
    padding-left: 40px;
    padding-right: 40px;
    padding-top: 20px;
    padding-bottom: 20px;
    height: fit-content;
}

.supported_versions {
    position: relative;
    display: flex;
    padding-left: 10px;
    border-radius: 7px;
    font-size: 12px;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: center;
    overflow: hidden;
    background-color: #232323;
    height: max(fit-content, 80px);
    width: 80%;
}

.project_description > hr {
    width: 100%;
}

.inline_image {
    vertical-align: top;
    display: inline-block;
}

.supported_version_container {
    padding: 10px;
    gap: 10px;
    display: flex;
    font-size: 12px;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: center;
}

.supported_version {
    margin-top: 5px;
    padding: 5px;
    display: flex;
    border-radius: 5px;
    justify-content: center;
    flex-wrap: nowrap;
    width: fit-content;
    height: fit-content;
    background-color: #393939;
}

.title {
    font-size: 24px;
    text-align: center;
    position: relative;
    width: 100%;
    height: fit-content;
    padding: 0;
    left: 0;
}

.download_button {
    border: none !important;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1;
    background-color: rgb(27,217,106);
    border-radius: 7px;
    position: relative;
    text-align: center;
    width: max(18%, 150px);
    height: innerhit;
    margin-left: 2%;
    top: 0px;
    transition: background-color 0.5s;
}

.download_button:hover {
    background-color: rgb(129, 255, 182);
}

.download_button > p {
    color: black;
}

.download_wrapper {
    display: flex;
    align-content: center;
    flex-direction: column;
    text-align: left;
    margin: auto;
    margin-top: 20px;
    width: calc(90% - 20px);
    height: fit-content;
    background-color: #323232;
    border-radius: 10px;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 0px;
    padding-bottom: 20px;
}

.game_versions {
    display: flex;
    flex: content;
    flex-direction: row;
    flex-wrap: wrap;
}

.game_versions .supported_version {
    margin-right: 5px;
    background-color: #4b4b4b;
}

.game_versions_seporator {
    width: 100%;
    height: 1px;
    margin-top: 5px;
    background: #777;
    display: block;
}

.versions {
    display: flex;
    flex-direction: column;
    background-color: #424242;
    margin: auto;
    border-collapse: collapse;
    width: 100%;
    overflow: hidden;
}

.versions details {
    width: 100%;
}


.supported_versions_column {
    width: 30%;
}

.versions td {
    position: relative;
    height: 100%;
    padding-top: 5px;
    padding-bottom: 5px;
    border-top: 1px solid #888;
    transition: background-color 0.3s;
    flex-direction: column;
}

.versions th {
    padding: 10px;
    min-width: 10vw;
}

.versions .changelog {
    width: 100%;
    overflow: hidden;
    text-align: left;
}

.versions .download {
    width: 10%;
    overflow: hidden;
}

@media only all and (max-width: 900px) {
    .versions {
        font-size: 13px;
    }
    .versions th {
        text-align: center;
        padding-left: 5px;
        padding-right: 5px;
    }
    .versions td {
        text-align: center;
        padding: 5px;
        padding-top: 2px;
        padding-bottom: 2px;

    }
}

@media only all and (max-width: 650px) {
    
    .versions .changelog details {
        text-align: left;
        margin: 0;
    }

    .versions .changelog summary {
        text-align: center;
    }

    .versions tbody {
        width: 100%;
    }
    .versions {
        width: 100%;
        font-size: 12px;
        display: block;
    }
    .versions th {
        text-align: center;
        justify-content: center;
        padding-left: 5px;
        padding-right: 5px;
        position: absolute;
        left: 10000px;
    }
    .versions td {
        align-items: center;
        text-align: center;
        padding-top: 2px;
        padding-bottom: 2px;
        display: flex;
        width: 100%;
        min-width: 50px;
        border: none;
    }
    .versions tr {
        width: 100%;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
    }

    .versions tr:not(:first-child) {
        border-bottom: #A999 solid 1px;
    }

    .download_version {
        min-width: 15px;
        min-height: 19px;
        padding-left: 2px;
        padding-right: 2px;
    }

    .game_versions_seporator {
        width: 0px;
        height: 0px;
        margin-top: 5px;
        background-color: #0000;
        display: flex;
    }

    .versions details {
        text-align: center;
        width: 100%;
    }

    .versions tr:nth-of-type(odd):not(:first-child) {
        background-color: #383838; 
    }
}

@media only all and (min-width: 650px) {
    .versions tr:nth-of-type(even) > td:nth-of-type(even) {
    background-color: #383838;
    }
    .versions tr:nth-of-type(even) > td:nth-of-type(odd) {
        background-color: #343434;
    }
    .versions tr:nth-of-type(odd) > td:nth-of-type(odd) {
        background-color: #3D3D3D;
    }
}

.version_wrapper {
    margin: auto;
    width: 98%;
    height: fit-content;
    max-height: 500px;
    overflow-y: scroll;
    overflow-x: hidden;
    border-radius: 10px;
    border: 5px sold white;
    scrollbar-color: #7D7D7D #2D2D2D ;
    scrollbar-width: thin;
}

.versions_collapse {
    margin: 5px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.options {
    display: none;
}

.select_version_title {
    top: 0;
    padding-left: 30px;
    padding-right: 30px;
}

.select_version {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    align-items: center;
    justify-content: left;
    left: 0;
    width: fit-content;
    height: 60px;
    background-color: #525252;
    border-radius: 10px 10px 10px 10px;
}

.download_version {
    margin: auto;
    background-color: rgb(27,217,106);
    color: black;
    min-width: 30px;
    min-height: 40px;
    width: fit-content;
    display: flex;
    border-radius: 10px;
    padding-left: 5px;
    padding-right: 5px;
    align-items: center;
    justify-content: center;
    border: 1px solid rgba(0, 0, 0, 0);
    box-shadow: 0px 2px 5px #0000;
    margin-top: 5px;
    margin-bottom: 5px;
    text-decoration: none;
    transition: background-color 0.3s, transform 0.3s, box-shadow;

}

.download_version p {
    margin-right: 5px;
}

.download_version:hover {
    background-color: rgb(129, 255, 182);
    transform: scale(1.05);
    box-shadow: 0px 2px 5px #000A;
}

.versions tr:nth-of-type(odd):hover td {
    background-color: #484848;
}

.versions tr:nth-of-type(even):hover td {
    background-color: #404040;
}

.project_image_small {
    top: 10px;
    max-width: 1080px;
    max-height: 720px;
}

.project_description {
    display: block;
    flex-direction: column;
    text-align: left;
    margin: auto;
    margin-top: 20px;
    width: 70%;
    background-color: #323232;
    border-radius: 10px;
    padding-left: 10%;
    padding-right: 10%;
    padding-top: 5px;
    padding-bottom: 20px;
    font-size: 18px;
}

@media only all and (max-width: 900px) {
    .project_description {
        font-size: 15px;
    }
}

.project_description img {
    object-fit: contain;
    max-width: 100%;
}

.project_description .smaller_gif {
    max-width: calc(min(598px, 100%));
    max-height: calc(min(336px, 100%));
}

.project_description .center_image {
    max-width: 80%;
    margin-left: 50%;
    transform: translate(-50%, 0);
}

.project_description .super_small_image {
    vertical-align: middle;
    display: inline;
    width: 20px;
    height: 20px;
    max-width: auto;
}

.versions .super_expand_width {
    width: 1000px;
    height: 1px;
    background-color: red;
}

.header_image {
    max-width: 100%;
    display: block;
    position: relative;
}

.keep_standard_size {
    width: fit-content;
    display: block;
    position: relative;
}

.changelog_column tr {
    max-width: 50px;
}

.supported_version_green {
    background-image: -webkit-linear-gradient(right, #03ffbc, #86ff98, #03ffea);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
}

.supported_version_orange {
    background-image: -webkit-linear-gradient(right, #ff714d, #ffbe86, #ff8e03);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
}